package com.ips.system.domain;

import com.ips.common.annotation.Excel;
import com.ips.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 算法配置对象 biz_algorithm_config
 * 
 * @author Allen
 * @date 2025-05-21
 */
public class AlgorithmConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法名称 */
    @Excel(name = "算法名称")
    private String algorithmName;

    /** 算法类型 */
    @Excel(name = "算法类型")
    private String algorithmType;
    @Excel(name = "算法路径")
    private String algorithmPath;

    /** 算法参数 */
    private String algorithmParams;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAlgorithmName(String algorithmName)
    {
        this.algorithmName = algorithmName;
    }

    public String getAlgorithmName()
    {
        return algorithmName;
    }
    public void setAlgorithmType(String algorithmType) 
    {
        this.algorithmType = algorithmType;
    }

    public String getAlgorithmPath() {
        return algorithmPath;
    }

    public void setAlgorithmPath(String algorithmPath) {
        this.algorithmPath = algorithmPath;
    }

    public String getAlgorithmType()
    {
        return algorithmType;
    }
    public void setAlgorithmParams(String algorithmParams) 
    {
        this.algorithmParams = algorithmParams;
    }

    public String getAlgorithmParams() 
    {
        return algorithmParams;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("algorithmName", getAlgorithmName())
            .append("algorithmType", getAlgorithmType())
            .append("algorithmPath", getAlgorithmPath())
            .append("algorithmParams", getAlgorithmParams())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
