package com.ips.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ips.common.annotation.Excel;
import com.ips.common.core.domain.BaseEntity;
import com.ips.system.dto.FileInfoDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 数据预处理对象 biz_preprocessed
 * 
 * @author Allen
 * @date 2025-05-21
 */
@Data
public class Preprocessed extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法名称 */
    @Excel(name = "算法名称")
    private String taskName;

    /** 算法 */
    @Excel(name = "算法")
    private Long algorithmId;

    /** 输入路径 */
    private String inputPath;

    /** 输出路径 */
    private String outputPath;

    /** 算法参数 */
    private String algorithmParams;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    private List<FileInfoDTO> folderInfoDTO;

    private String algorithmName;

}
