package com.ips.system.domain;

import java.util.Date;
import com.ips.common.annotation.Excel;
import com.ips.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 时频图生成对象 biz_time_frequency_images
 * 
 * @author Allen
 * @date 2025-05-28
 */
@Data
public class TimeFrequencyImages extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 算法 */
    @Excel(name = "算法")
    private Long algorithmId;

    /** 输入路径 */
    @Excel(name = "输入路径")
    private String inputPath;

    /** 输出路径 */
    private String outputPath;

    /** 算法参数 */
    private String algorithmParams;

    /** 状态（0未运行，1运行中，2已完成，3失败） */
    @Excel(name = "状态", readConverterExp = "0=未运行，1运行中，2已完成，3失败")
    private String status;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    private String algorithmName;
}
