package com.ips.system.mapper;

import java.util.List;
import java.util.Map;

import com.ips.system.domain.AlgorithmConfig;

/**
 * 算法配置Mapper接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface AlgorithmConfigMapper 
{
    /**
     * 查询算法配置
     * 
     * @param id 算法配置主键
     * @return 算法配置
     */
    public AlgorithmConfig selectAlgorithmConfigById(Long id);

    /**
     * 查询算法配置列表
     * 
     * @param algorithmConfig 算法配置
     * @return 算法配置集合
     */
    public List<AlgorithmConfig> selectAlgorithmConfigList(AlgorithmConfig algorithmConfig);

    /**
     * 新增算法配置
     * 
     * @param algorithmConfig 算法配置
     * @return 结果
     */
    public int insertAlgorithmConfig(AlgorithmConfig algorithmConfig);

    /**
     * 修改算法配置
     * 
     * @param algorithmConfig 算法配置
     * @return 结果
     */
    public int updateAlgorithmConfig(AlgorithmConfig algorithmConfig);

    /**
     * 删除算法配置
     * 
     * @param id 算法配置主键
     * @return 结果
     */
    public int deleteAlgorithmConfigById(Long id);

    /**
     * 批量删除算法配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAlgorithmConfigByIds(Long[] ids);

    List<Map> getOptionsByType(String type);
}
