package com.ips.system.mapper;

import java.util.List;
import com.ips.system.domain.ClassifyTest;

/**
 * 分类测试Mapper接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface ClassifyTestMapper 
{
    /**
     * 查询分类测试
     * 
     * @param id 分类测试主键
     * @return 分类测试
     */
    public ClassifyTest selectClassifyTestById(Long id);

    /**
     * 查询分类测试列表
     * 
     * @param classifyTest 分类测试
     * @return 分类测试集合
     */
    public List<ClassifyTest> selectClassifyTestList(ClassifyTest classifyTest);

    /**
     * 新增分类测试
     * 
     * @param classifyTest 分类测试
     * @return 结果
     */
    public int insertClassifyTest(ClassifyTest classifyTest);

    /**
     * 修改分类测试
     * 
     * @param classifyTest 分类测试
     * @return 结果
     */
    public int updateClassifyTest(ClassifyTest classifyTest);

    /**
     * 删除分类测试
     * 
     * @param id 分类测试主键
     * @return 结果
     */
    public int deleteClassifyTestById(Long id);

    /**
     * 批量删除分类测试
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClassifyTestByIds(Long[] ids);

    Boolean getTaskStatusIsChanged(Long id);
}
