package com.ips.system.mapper;

import java.util.List;
import com.ips.system.domain.Distillation;

/**
 * 知识蒸馏Mapper接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface DistillationMapper 
{
    /**
     * 查询知识蒸馏
     * 
     * @param id 知识蒸馏主键
     * @return 知识蒸馏
     */
    public Distillation selectDistillationById(Long id);

    /**
     * 查询知识蒸馏列表
     * 
     * @param distillation 知识蒸馏
     * @return 知识蒸馏集合
     */
    public List<Distillation> selectDistillationList(Distillation distillation);

    /**
     * 新增知识蒸馏
     * 
     * @param distillation 知识蒸馏
     * @return 结果
     */
    public int insertDistillation(Distillation distillation);

    /**
     * 修改知识蒸馏
     * 
     * @param distillation 知识蒸馏
     * @return 结果
     */
    public int updateDistillation(Distillation distillation);

    /**
     * 删除知识蒸馏
     * 
     * @param id 知识蒸馏主键
     * @return 结果
     */
    public int deleteDistillationById(Long id);

    /**
     * 批量删除知识蒸馏
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDistillationByIds(Long[] ids);

    Boolean getTaskStatusIsChanged(Long id);
}
