package com.ips.system.mapper;

import java.util.List;
import com.ips.system.domain.Preprocessed;

/**
 * 数据预处理Mapper接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface PreprocessedMapper 
{
    /**
     * 查询数据预处理
     * 
     * @param id 数据预处理主键
     * @return 数据预处理
     */
    public Preprocessed selectPreprocessedById(Long id);

    /**
     * 查询数据预处理列表
     * 
     * @param preprocessed 数据预处理
     * @return 数据预处理集合
     */
    public List<Preprocessed> selectPreprocessedList(Preprocessed preprocessed);

    /**
     * 新增数据预处理
     * 
     * @param preprocessed 数据预处理
     * @return 结果
     */
    public int insertPreprocessed(Preprocessed preprocessed);

    /**
     * 修改数据预处理
     * 
     * @param preprocessed 数据预处理
     * @return 结果
     */
    public int updatePreprocessed(Preprocessed preprocessed);

    /**
     * 删除数据预处理
     * 
     * @param id 数据预处理主键
     * @return 结果
     */
    public int deletePreprocessedById(Long id);

    /**
     * 批量删除数据预处理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePreprocessedByIds(Long[] ids);

    Boolean getTaskStatusIsChanged(Long id);
}
