package com.ips.system.service;

import java.util.List;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ips.system.domain.BizTraining;

/**
 * 模型训练Service接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface IBizTrainingService 
{
    /**
     * 查询模型训练
     * 
     * @param id 模型训练主键
     * @return 模型训练
     */
    public BizTraining selectBizTrainingById(Long id);

    /**
     * 查询模型训练列表
     * 
     * @param bizTraining 模型训练
     * @return 模型训练集合
     */
    public List<BizTraining> selectBizTrainingList(BizTraining bizTraining);

    /**
     * 新增模型训练
     * 
     * @param bizTraining 模型训练
     * @return 结果
     */
    public int insertBizTraining(BizTraining bizTraining);

    /**
     * 修改模型训练
     * 
     * @param bizTraining 模型训练
     * @return 结果
     */
    public int updateBizTraining(BizTraining bizTraining);

    /**
     * 批量删除模型训练
     * 
     * @param ids 需要删除的模型训练主键集合
     * @return 结果
     */
    public int deleteBizTrainingByIds(Long[] ids);

    /**
     * 删除模型训练信息
     * 
     * @param id 模型训练主键
     * @return 结果
     */
    public int deleteBizTrainingById(Long id);

    String run(Long id) throws JsonProcessingException;

    BizTraining getResultDetails(Long id);

    Boolean getTaskStatusIsChanged(Long id);
}
