package com.ips.system.service;

import java.util.List;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ips.system.domain.ClassifyTest;

/**
 * 分类测试Service接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface IClassifyTestService 
{
    /**
     * 查询分类测试
     * 
     * @param id 分类测试主键
     * @return 分类测试
     */
    public ClassifyTest selectClassifyTestById(Long id);

    /**
     * 查询分类测试列表
     * 
     * @param classifyTest 分类测试
     * @return 分类测试集合
     */
    public List<ClassifyTest> selectClassifyTestList(ClassifyTest classifyTest);

    /**
     * 新增分类测试
     * 
     * @param classifyTest 分类测试
     * @return 结果
     */
    public int insertClassifyTest(ClassifyTest classifyTest);

    /**
     * 修改分类测试
     * 
     * @param classifyTest 分类测试
     * @return 结果
     */
    public int updateClassifyTest(ClassifyTest classifyTest);

    /**
     * 批量删除分类测试
     * 
     * @param ids 需要删除的分类测试主键集合
     * @return 结果
     */
    public int deleteClassifyTestByIds(Long[] ids);

    /**
     * 删除分类测试信息
     * 
     * @param id 分类测试主键
     * @return 结果
     */
    public int deleteClassifyTestById(Long id);

    ClassifyTest getResultDetails(Long id);

    String run(Long id) throws JsonProcessingException;

    Boolean getTaskStatusIsChanged(Long id);
}
