package com.ips.system.service;

import java.util.List;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ips.system.domain.ExtractedFeatures;

/**
 * 特征提取Service接口
 * 
 * @author Allen
 * @date 2025-05-21
 */
public interface IExtractedFeaturesService 
{
    /**
     * 查询特征提取
     * 
     * @param id 特征提取主键
     * @return 特征提取
     */
    public ExtractedFeatures selectExtractedFeaturesById(Long id);

    /**
     * 查询特征提取列表
     * 
     * @param extractedFeatures 特征提取
     * @return 特征提取集合
     */
    public List<ExtractedFeatures> selectExtractedFeaturesList(ExtractedFeatures extractedFeatures);

    /**
     * 新增特征提取
     * 
     * @param extractedFeatures 特征提取
     * @return 结果
     */
    public int insertExtractedFeatures(ExtractedFeatures extractedFeatures);

    /**
     * 修改特征提取
     * 
     * @param extractedFeatures 特征提取
     * @return 结果
     */
    public int updateExtractedFeatures(ExtractedFeatures extractedFeatures);

    /**
     * 批量删除特征提取
     * 
     * @param ids 需要删除的特征提取主键集合
     * @return 结果
     */
    public int deleteExtractedFeaturesByIds(Long[] ids);

    /**
     * 删除特征提取信息
     * 
     * @param id 特征提取主键
     * @return 结果
     */
    public int deleteExtractedFeaturesById(Long id);

    String run(Long id) throws JsonProcessingException;

    ExtractedFeatures getResultDetails(Long id);

    Boolean getTaskStatusIsChanged(Long id);
}
