package com.ips.system.service;

import java.util.List;
import com.ips.system.domain.TimeFrequencyImages;

/**
 * 时频图生成Service接口
 * 
 * @author Allen
 * @date 2025-05-28
 */
public interface ITimeFrequencyImagesService 
{
    /**
     * 查询时频图生成
     * 
     * @param id 时频图生成主键
     * @return 时频图生成
     */
    public TimeFrequencyImages selectTimeFrequencyImagesById(Long id);

    /**
     * 查询时频图生成列表
     * 
     * @param timeFrequencyImages 时频图生成
     * @return 时频图生成集合
     */
    public List<TimeFrequencyImages> selectTimeFrequencyImagesList(TimeFrequencyImages timeFrequencyImages);

    /**
     * 新增时频图生成
     * 
     * @param timeFrequencyImages 时频图生成
     * @return 结果
     */
    public int insertTimeFrequencyImages(TimeFrequencyImages timeFrequencyImages);

    /**
     * 修改时频图生成
     * 
     * @param timeFrequencyImages 时频图生成
     * @return 结果
     */
    public int updateTimeFrequencyImages(TimeFrequencyImages timeFrequencyImages);

    /**
     * 批量删除时频图生成
     * 
     * @param ids 需要删除的时频图生成主键集合
     * @return 结果
     */
    public int deleteTimeFrequencyImagesByIds(Long[] ids);

    /**
     * 删除时频图生成信息
     * 
     * @param id 时频图生成主键
     * @return 结果
     */
    public int deleteTimeFrequencyImagesById(Long id);

    String run(Long id);

    Boolean getTaskStatusIsChanged(Long id);
}
