import request from '@/utils/request'

// 查询算法配置列表
export function listConfig(query) {
  return request({
    url: '/biz/config/list',
    method: 'get',
    params: query
  })
}

// 查询算法配置详细
export function getConfig(id) {
  return request({
    url: '/biz/config/' + id,
    method: 'get'
  })
}

// 新增算法配置
export function addConfig(data) {
  return request({
    url: '/biz/config',
    method: 'post',
    data: data
  })
}

// 修改算法配置
export function updateConfig(data) {
  return request({
    url: '/biz/config',
    method: 'put',
    data: data
  })
}

// 删除算法配置
export function delConfig(id) {
  return request({
    url: '/biz/config/' + id,
    method: 'delete'
  })
}

// 根据类型查询算法配置Options
export function getOptionsByType(type) {
  return request({
    url: '/biz/config/getOptionsByType/' + type,
    method: 'get'
  })
}
