import request from "@/utils/request";

// 查询知识蒸馏列表
export function listDistillation(query) {
  return request({
    url: "/biz/distillation/list",
    method: "get",
    params: query,
  });
}

// 查询知识蒸馏详细
export function getDistillation(id) {
  return request({
    url: "/biz/distillation/" + id,
    method: "get",
  });
}

// 新增知识蒸馏
export function addDistillation(data) {
  return request({
    url: "/biz/distillation",
    method: "post",
    data: data,
  });
}

// 修改知识蒸馏
export function updateDistillation(data) {
  return request({
    url: "/biz/distillation",
    method: "put",
    data: data,
  });
}

// 删除知识蒸馏
export function delDistillation(id) {
  return request({
    url: "/biz/distillation/" + id,
    method: "delete",
  });
}

// 运行知识蒸馏
export function run(id) {
  return request({
    url: "/biz/distillation/run/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getResultDetails(id) {
  return request({
    url: "/biz/distillation/getResultDetails/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getTaskStatusIsChanged(id) {
  return request({
    url: "/biz/distillation/getTaskStatusIsChanged/" + id,
    method: "get",
  });
}
