import request from "@/utils/request";

// 查询特征提取列表
export function listFeatures(query) {
  return request({
    url: "/biz/features/list",
    method: "get",
    params: query,
  });
}

// 查询特征提取详细
export function getFeatures(id) {
  return request({
    url: "/biz/features/" + id,
    method: "get",
  });
}

// 新增特征提取
export function addFeatures(data) {
  return request({
    url: "/biz/features",
    method: "post",
    data: data,
  });
}

// 修改特征提取
export function updateFeatures(data) {
  return request({
    url: "/biz/features",
    method: "put",
    data: data,
  });
}

// 删除特征提取
export function delFeatures(id) {
  return request({
    url: "/biz/features/" + id,
    method: "delete",
  });
}

// 运行特征提取
export function run(id) {
  return request({
    url: "/biz/features/run/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getResultDetails(id) {
  return request({
    url: "/biz/features/getResultDetails/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getTaskStatusIsChanged(id) {
  return request({
    url: "/biz/features/getTaskStatusIsChanged/" + id,
    method: "get",
  });
}
