import request from "@/utils/request";

// 查询时频图生成列表
export function listImages(query) {
  return request({
    url: "/biz/images/list",
    method: "get",
    params: query,
  });
}

// 查询时频图生成详细
export function getImages(id) {
  return request({
    url: "/biz/images/" + id,
    method: "get",
  });
}

// 新增时频图生成
export function addImages(data) {
  return request({
    url: "/biz/images",
    method: "post",
    data: data,
  });
}

// 修改时频图生成
export function updateImages(data) {
  return request({
    url: "/biz/images",
    method: "put",
    data: data,
  });
}

// 删除时频图生成
export function delImages(id) {
  return request({
    url: "/biz/images/" + id,
    method: "delete",
  });
}

// 运行时频图生成
export function run(id) {
  return request({
    url: "/biz/images/run/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getTaskStatusIsChanged(id) {
  return request({
    url: "/biz/images/getTaskStatusIsChanged/" + id,
    method: "get",
  });
}
