import request from "@/utils/request";

// 查询数据预处理列表
export function listPreprocessed(query) {
  return request({
    url: "/biz/preprocessed/list",
    method: "get",
    params: query,
  });
}

// 查询数据预处理详细
export function getPreprocessed(id) {
  return request({
    url: "/biz/preprocessed/" + id,
    method: "get",
  });
}

// 新增数据预处理
export function addPreprocessed(data) {
  return request({
    url: "/biz/preprocessed",
    method: "post",
    data: data,
  });
}

// 修改数据预处理
export function updatePreprocessed(data) {
  return request({
    url: "/biz/preprocessed",
    method: "put",
    data: data,
  });
}

// 删除数据预处理
export function delPreprocessed(id) {
  return request({
    url: "/biz/preprocessed/" + id,
    method: "delete",
  });
}

// 运行数据预处理
export function run(id) {
  return request({
    url: "/biz/preprocessed/run/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getResultDetails(id) {
  return request({
    url: "/biz/preprocessed/getResultDetails/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getTaskStatusIsChanged(id) {
  return request({
    url: "/biz/preprocessed/getTaskStatusIsChanged/" + id,
    method: "get",
  });
}
