import request from "@/utils/request";

// 查询分类测试列表
export function listTest(query) {
  return request({
    url: "/biz/test/list",
    method: "get",
    params: query,
  });
}

// 查询分类测试详细
export function getTest(id) {
  return request({
    url: "/biz/test/" + id,
    method: "get",
  });
}

// 新增分类测试
export function addTest(data) {
  return request({
    url: "/biz/test",
    method: "post",
    data: data,
  });
}

// 修改分类测试
export function updateTest(data) {
  return request({
    url: "/biz/test",
    method: "put",
    data: data,
  });
}

// 删除分类测试
export function delTest(id) {
  return request({
    url: "/biz/test/" + id,
    method: "delete",
  });
}

// 运行分类测试
export function run(id) {
  return request({
    url: "/biz/test/run/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getResultDetails(id) {
  return request({
    url: "/biz/test/getResultDetails/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getTaskStatusIsChanged(id) {
  return request({
    url: "/biz/test/getTaskStatusIsChanged/" + id,
    method: "get",
  });
}
