import request from "@/utils/request";

// 查询模型训练列表
export function listTraining(query) {
  return request({
    url: "/biz/training/list",
    method: "get",
    params: query,
  });
}

// 查询模型训练详细
export function getTraining(id) {
  return request({
    url: "/biz/training/" + id,
    method: "get",
  });
}

// 新增模型训练
export function addTraining(data) {
  return request({
    url: "/biz/training",
    method: "post",
    data: data,
  });
}

// 修改模型训练
export function updateTraining(data) {
  return request({
    url: "/biz/training",
    method: "put",
    data: data,
  });
}

// 删除模型训练
export function delTraining(id) {
  return request({
    url: "/biz/training/" + id,
    method: "delete",
  });
}

// 运行模型训练
export function run(id) {
  return request({
    url: "/biz/training/run/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getResultDetails(id) {
  return request({
    url: "/biz/training/getResultDetails/" + id,
    method: "get",
  });
}

// 获取运行结果详情
export function getTaskStatusIsChanged(id) {
  return request({
    url: "/biz/training/getTaskStatusIsChanged/" + id,
    method: "get",
  });
}
